      double precision function ddilog(x)
*     ====== ========= ======== =========
c
      double precision x,y,t,s,a,pi3,pi6,zero,one,half,malf,mone,mtwo
      double precision c(0:18),h,alfa,b0,b1,b2
c
      data zero /0.0d0/, one /1.0d0/
      data half /0.5d0/, malf /-0.5d0/, mone /-1.0d0/, mtwo /-2.0d0/
      data pi3 /3.28986 81336 96453d0/, pi6 /1.64493 40668 48226d0/
c
      data c( 0) / 0.42996 69356 08137 0d0/
      data c( 1) / 0.40975 98753 30771 1d0/
      data c( 2) /-0.01858 84366 50146 0d0/
      data c( 3) / 0.00145 75108 40622 7d0/
      data c( 4) /-0.00014 30418 44423 4d0/
      data c( 5) / 0.00001 58841 55418 8d0/
      data c( 6) /-0.00000 19078 49593 9d0/
      data c( 7) / 0.00000 02419 51808 5d0/
      data c( 8) /-0.00000 00319 33412 7d0/
      data c( 9) / 0.00000 00043 45450 6d0/
      data c(10) /-0.00000 00006 05784 8d0/
      data c(11) / 0.00000 00000 86121 0d0/
      data c(12) /-0.00000 00000 12443 3d0/
      data c(13) / 0.00000 00000 01822 6d0/
      data c(14) /-0.00000 00000 00270 1d0/
      data c(15) / 0.00000 00000 00040 4d0/
      data c(16) /-0.00000 00000 00006 1d0/
      data c(17) / 0.00000 00000 00000 9d0/
      data c(18) /-0.00000 00000 00000 1d0/
 
      if(x .eq. one) then
       ddilog=pi6
       return
      else if(x .eq. mone) then
       ddilog=malf*pi6
       return
      end if
      t=-x
      if(t .le. mtwo) then
       y=mone/(one+t)
       s=one
       a=-pi3+half*(log(-t)**2-log(one+one/t)**2)
      else if(t .lt. mone) then
       y=mone-t
       s=mone
       a=log(-t)
       a=-pi6+a*(a+log(one+one/t))
      else if(t .le. malf) then
       y=(mone-t)/t
       s=one
       a=log(-t)
       a=-pi6+a*(malf*a+log(one+t))
      else if(t .lt. zero) then
       y=-t/(one+t)
       s=mone
       a=half*log(one+t)**2
      else if(t .le. one) then
       y=t
       s=one
       a=zero
      else
       y=one/t
       s=mone
       a=pi6+half*log(t)**2
      end if
 
      h=y+y-one
      alfa=h+h
      b1=zero
      b2=zero
      do i = 18,0,-1
      b0=c(i)+alfa*b1-b2
      b2=b1
      b1=b0
      end do
      ddilog=-(s*(b0-h*b2)+a)
      return
      end
