      function eps_lc(i,j,k,l)
c----------------------------------------------------------------------c
c The antisymmetric Levi-Civita tensor
c
c Input: i,j,k,l=0,1,2,3
c
c Karol Kolodziej, University of Silesia, karol.kolodziej@us.edu.pl
c 15 April, 2015; modified on 
c----------------------------------------------------------------------c

      implicit none

      integer :: eps_lc,i,j,k,l

      if (i==j .or. i==k .or. i==l .or. j==k .or. j==l .or. k==l) then
       eps_lc=0
      else if (i==0 .and. j==1 .and. k==2 .and. l==3) then
       eps_lc=1
      else if (i==0 .and. j==1 .and. k==3 .and. l==2) then
       eps_lc=-1
      else if (i==0 .and. j==2 .and. k==1 .and. l==3) then
       eps_lc=-1
      else if (i==0 .and. j==2 .and. k==3 .and. l==1) then
       eps_lc=1
      else if (i==0 .and. j==3 .and. k==1 .and. l==2) then
       eps_lc=1
      else if (i==0 .and. j==3 .and. k==2 .and. l==1) then
       eps_lc=-1
      else if (i==1 .and. j==0 .and. k==2 .and. l==3) then
       eps_lc=-1
      else if (i==1 .and. j==0 .and. k==3 .and. l==2) then
       eps_lc=1
      else if (i==1 .and. j==2 .and. k==0 .and. l==3) then
       eps_lc=1
      else if (i==1 .and. j==2 .and. k==3 .and. l==0) then
       eps_lc=-1
      else if (i==1 .and. j==3 .and. k==0 .and. l==2) then
       eps_lc=-1
      else if (i==1 .and. j==3 .and. k==2 .and. l==0) then
       eps_lc=1
      else if (i==2 .and. j==0 .and. k==1 .and. l==3) then
       eps_lc=1
      else if (i==2 .and. j==0 .and. k==3 .and. l==1) then
       eps_lc=-1
      else if (i==2 .and. j==1 .and. k==0 .and. l==3) then
       eps_lc=-1
      else if (i==2 .and. j==1 .and. k==3 .and. l==0) then
       eps_lc=1
      else if (i==2 .and. j==3 .and. k==0 .and. l==1) then
       eps_lc=1
      else if (i==2 .and. j==3 .and. k==1 .and. l==0) then
       eps_lc=-1
      else if (i==3 .and. j==0 .and. k==1 .and. l==2) then
       eps_lc=-1
      else if (i==3 .and. j==0 .and. k==2 .and. l==1) then
       eps_lc=1
      else if (i==3 .and. j==1 .and. k==0 .and. l==2) then
       eps_lc=1
      else if (i==3 .and. j==1 .and. k==2 .and. l==0) then
       eps_lc=-1
      else if (i==3 .and. j==2 .and. k==0 .and. l==1) then
       eps_lc=-1
      else if (i==3 .and. j==2 .and. k==1 .and. l==0) then
       eps_lc=1
      else
       write(*,*) 'eps_lc.f: Something is wrong',i,j,k,l
      end if

      end function eps_lc
